# SetMarketingSendsTracking

> Turn attribution tracking on or off for email and SMS sends. Write access, marketing toolset, MCP tool set_marketing_sends_tracking.

**Access:** [Write](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `enabled` | `Boolean!` | yes |  |  |
| `sendIds` | `[UUID!]!` | yes |  |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"SetMarketingSendsTracking","variables":{"enabled":false,"sendIds":[]},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"5d31d3dad2c8233bd816427b08a8f9b0733e5648d0ff2ec6685557f7e7cf717c"}}}'
```

## Document

```graphql
mutation SetMarketingSendsTracking($enabled: Boolean!, $sendIds: [UUID!]!) { __typename setMarketingSendsTracking(input: {sendIds: $sendIds, enabled: $enabled}) { __typename updated userErrors { __typename code field message } } }
```

Source: https://developer.missin.co.uk/reference/marketing/set-marketing-sends-tracking
